Get currencyget https://your-protect-instance.example.com/api/rest/v1/currencyThis endpoint returns a currency. The parameters need to point to a unique currency.Query ParamsshowDisabledbooleanSet this parameter to true to get a currency even if it is disabled by business rules.truefalseuniqueCurrencyFilter.blockchainstringrequiredRequired: The Blockchain to filter by (e.g. ETH, BTC). Can be found using the blockchain endpoint /api/rest/v1/blockchainsuniqueCurrencyFilter.networkstringrequiredRequired: Network or environment the currency is used on (e.g. 'mainnet', 'testnet').uniqueCurrencyFilter.tokenContractAddressstringIf this parameter is set, the currency returned will be a token with the specified contract address. If not set, the currency returned will be the native currency of the blockchain.uniqueCurrencyFilter.tokenIDstringFor some blockchains (ex. ALGO, XTZ) a tokenContractAddress might contain multiple assets. The tokenID is used to differentiate between those assets. If not set, the currency returned won't have any tokenID defined.currencyIDstringThe unique identifier of a currency to filter by.includeLogobooleanCurrency logos are omitted by default. Set this to true to include them when applicable.truefalseResponses 200A successful response. 400Bad Request: indicates that the server cannot or will not process the request due to something that is perceived to be a client error (for example, malformed request syntax, invalid request message framing, or deceptive request routing) 401Unauthorized: indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource 403Forbidden: indicates that the server understands the request but refuses to authorize it 404Not Found: indicates that the server cannot find the requested resource 500Internal Server Error: indicates that the server encountered an unexpected condition that prevented it from fulfilling the request 503Service Unavailable: indicates that the server is not ready to handle the request. defaultAn unexpected error response.Updated about 2 months ago List currenciesFeeDid this page help you?YesNo